[![pipeline status](https://githepia.hesge.ch/orestis.malaspin/isc_physics/badges/master/pipeline.svg)](https://githepia.hesge.ch/orestis.malaspin/isc_physics/commits/master)

# Cours de physique pour étudiants en logiciel ISC (1ère année)

Ce projet contient la tentative de polycopié du cours de Physique pour la filière ISC de HEPIA. Vous pouvez accéder au polycopié dans vot
re navigateur en cliquant sur [`ce lien`](https://malaspinas.academy/phys/index.html)

## Contributeurs

* @alexandr.benzonan
* @michael.elkharro
* @philippe.montando
* @tanguy.cavagna
* @jean.vouillam

# Production d'un pdf

Le projet est écrit à l'aide de la librairie [`pandoc`](https://pandoc.org/installing.html) dans laquelle on peut inclure du `LaTeX`. 

Afin de compiler le projet vous avez besoin des programmes suivants:

## make

## Pandoc (v2.0 ou plus récent)

Il existe un certain nombre de packages pour la plupart des distributions linux et aussi pour mac OS ou windows. Consultez le site de [`pandoc`](https://pandoc.org/installing.html) pour plus d'informations concernant l'installation.

## pandoc-crossref 

Pandoc-crossref est disponible sur un certain nombre de distributions. Si elle ne l'est pas pour la vôôtre, 
vous pouvez installer les fichiers binaires disponibles sur <https://github.com/lierdakil/pandoc-crossref/releases/>. Il faut faire attention
à ce que la version de Pandoc utilisée pour générer ce fichier binaire soit la même que celle que vous avez installé.

Alternativement, en supposant que la [plateforme de développement Haskell](http://hackage.haskell.org/platform/) est déjà installée vous pouvez installer pandoc-crossref avec cabal:

```bash
cabal update
cabal install pandoc-crossref
```

Pour plus d'informations, allez voir sur le [site de `pandoc-crossref`](https://github.com/lierdakil/pandoc-crossref).
	
## pandoc-numbering

Vous avez besoin d'une installation de python 3.X, du programme `pip`, et vous pouvez faire

```bash
pip install -U pip panflute pandocfilters  pandoc-numbering
```

Pour plus d'information voir le [site](https://pypi.python.org/pypi/pandoc-numbering).

## Des packages latex suivant 

### Pour ubuntu ou debian-like

```bash
sudo apt-get install texlive-latex-recommended lmodern texlive-fonts-recommended texlive-latex-extra texlive-fonts-extra dvipng texlive-latex-recommended texlive-lang-french
```

### Pour les distributions basées sur Arch Linux (Manjaro, ...)

```bash
sudo pacman -Sy texlive-bin texlive-core texlive-latexextra texlive-science texlive-fontsextra texlive-formatsextra
```

## La librairie librsvg (pour la conversion des images svg en ... autre chose)

### Pour ubuntu ou debian-like

```bash
sudo apt-get install librsvg2-2
```

### Pour les distributions basées sur Arch Linux (Manjaro, ...)

```bash
sudo pacman -Sy librsvg
```

## License

See the [LICENSE](LICENSE.md) file for license rights and limitations (GNU Free Documentation License).
